*
* Ex1.asm  ---- Example program 1 for the Ep2711E9 Rev.C board
*		(c)2003, EVBplus.com, Written by Wayne Chu
*
*     Function:	Reads the DIP switch via the port C and displays its status 
*		on the port B LEDs PB0-PB7.
	
*
* To run the program, enter G D000.
*
*
        ORG  $c4
*** Vector jump table for BUFFALO monitor ***
JSCI    RMB   3
JSPI    RMB   3
JPAIE   RMB   3
JPAO    RMB   3
JTOF    RMB   3
JTOC5   RMB   3
JTOC4   RMB   3
JTOC3   RMB   3
JTOC2   RMB   3
JTOC1   RMB   3
JTIC3   RMB   3
JTIC2   RMB   3
JTIC1   RMB   3
JRTI    RMB   3
JIRQ    RMB   3
JXIRQ   RMB   3
JSWI    RMB   3
JILLOP  RMB   3
JCOP    RMB   3
JCLM    RMB   3
	

portb:	equ	$4
portc:	equ	$3
ddrc:	equ	$7
REGBLK:	equ	$1000

STACK:	equ	$8FFF
*

	
	org	$D000		; user program starts at $D000
	
start:
	lds	#STACK
	ldaa	#$00
	staa	ddrc+REGBLK	; make port c an input port
back:	ldaa	portc+REGBLK
	staa 	portb+REGBLK
	jmp	back

*
*	
	end

